### NAME

tk_chooseColor - pops up a dialog box for the user to select a color.

### SYNOPSIS

tk_chooseColor ?option value ...?

### DESCRIPTION

The procedure tk_chooseColor pops up a dialog box for the user to select a color. The following option-value pairs are possible as command line arguments:

-initialcolor color
  Specifies the color to display in the color dialog when it pops up. color must be in a form acceptable to the Tk_GetColor function.

-parent window
  Makes window the logical parent of the color dialog. The color dialog is displayed on top of its parent window.

-title titleString
  Specifies a string to display as the title of the dialog box. If this option is not specified, then a default title will be displayed.

If the user selects a color, tk_chooseColor will return the name of the color in a form acceptable to Tk_GetColor. If the user cancels the operation, both commands will return the empty string.

### EXAMPLE

    button .b -bg [tk_chooseColor -initialcolor gray -title "Choose color"]

### KEYWORDS

color selection dialog

    Copyright © 1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.